


{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/historical_data.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Benutzer</strong>eingaben</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Analyse</li>
                    </ol>
                </nav>
            </div>
        </div>

        <form method="post" action="" enctype="multipart/form-data">
                      <input type="file" name="file">
                      <!-- <input type="submit" value="Submit" class="btn btn-success"> -->
            <!-- Benutzer Informationen und Drucker Einstellungen -->
            <div class="flex-container">
                <!-- Benutzer Informationen -->
                <div class="container_card" style="flex-grow: 1">
                    <div class="flex-container">
                        <div>Benutzer Informationen</div>
                    </div>
                    <div class="card flex-fill w-100">
                        <div class="card-body py-3">
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="select_settings_id">Benutzer</label>
                                        <select class="form-select" id="select_operator_id" aria-label="Default select example" onchange="select_operator()" name="operator_selection-form" required>
                                            <OPTION disabled selected value> -- select an option -- </OPTION>
                                            {% for operator in droplist_operator["id"] %}
                                                <OPTION value={{operator}}>{{droplist_operator.loc[droplist_operator["id"] == operator]["first_name"].iloc[-1]}} {{droplist_operator.loc[droplist_operator["id"] == operator]["last_name"].iloc[-1]}}</OPTION>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="flex-container">
                                    <button type="button" id="add_button_filament" class="button_plus" data-toggle="modal" data-target="#BenutzerModal"></button>
                                </div>
                            </div>
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Vorname">Vorname</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Vorname" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Nachname">Nachname</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Nachname" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <!-- Drucker Einstellungen -->
                <div class="container_card" style="flex-grow: 1">
                    <div class="flex-container">
                        <div>Drucker Einstellungen</div>
                    </div>
                    <div class="card flex-fill w-100">
                        <div class="card-body py-3">
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="select_settings_id">Drucker Einstellungen</label>
                                        <select class="form-select" id="select_settings_id" aria-label="Default select example" onchange="select_settings()" name="setting_selection-form" required>
                                            <OPTION disabled selected value> -- select an option -- </OPTION>
                                            {% for setting in droplist_settings["id"] %}
                                                <OPTION value={{setting}}>{{setting}}</OPTION>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="flex-container">
                                    <button type="button" id="add_button_filament" class="button_plus" data-toggle="modal" data-target="#printerSettingsModal"></button>
                                </div>
                            </div>
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Bauteilname">Bauteilname</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Bauteilname" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Duration">Dauer des Drucks</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Duration" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <!-- Drucker Informationen und Filament Informationen -->
            <div class="flex-container">
                <!-- Drucker Informationen -->
                <div class="container_card" style="flex-grow: 1">
                    <div class="flex-container">
                        <div>Drucker Informationen</div>
                    </div>
                    <div class="card flex-fill w-100">
                        <div class="card-body py-3">
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Drucker_id">Drucker_id</label>
                                        <select class="form-select" id="select_machine_id" aria-label="Default select example" onchange="select_machine()" name="machine_selection-form" required>
                                            <OPTION disabled selected value> -- select an option -- </OPTION>
                                            {% for machine in droplist_machines["id"] %}
                                                <OPTION value={{machine}}>{{machine}}</OPTION>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="flex-container">
                                    <button type="button" id="add_button_filament" class="button_plus" data-toggle="modal" data-target="#printerModal"></button>
                                </div>
                            </div>
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Druckername">Druckername</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Druckername324" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Hersteller_Drucker">Hersteller</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Hersteller324" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Shopfloor">Shopfloor</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Shopfloor" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <!-- Filament Informationen -->
                <div class="container_card" style="flex-grow: 1">
                    <div class="flex-container">
                        <div>Filament Informationen</div>
                    </div>
                    <div class="card flex-fill w-100">
                        <div class="card-body py-3">
                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Filament_id">Filament_id</label>
                                        <select class="form-select" id="select_filament_id" aria-label="Default select example" onchange="select_filament()" name="filament_selection-form" required>
                                            <OPTION disabled selected value> -- select an option -- </OPTION>
                                            {% for filament in droplist_filament["id"] %}
                                                <OPTION value={{filament}}>{{filament}}</OPTION>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="flex-container">
                                    <button type="button" id="add_button_filament" class="button_plus" data-toggle="modal" data-target="#filamentModal"></button>
                                </div>
                            </div>

                            <div class="flex-container">
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Filamentmaterial">Material</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Filamentmaterial" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="Filamenthersteller">Hersteller</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Filamenthersteller" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="diameter">Diameter</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="diameter" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                                <div class="flex-container" style="flex-grow: 1">
                                    <div class="form-group" style="flex-grow: 1">
                                        <label for="offnungsdatum">Öffnungsdatum</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="Offnungsdatum" value="undefined" style="color:gray">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="flex-container">
                <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button> -->
                <button type="submit" class="btn btn-primary">Eingaben Speichern</button>
            </div>

        </form>

        <!-- file upload -->
        <!-- <div class="flex-container"> -->
            <!-- file upload -->
            <!-- <div class="container_card" style="flex-grow: 1">
                <div class="flex-container">
                    <div>HTML-Dokument hochladen</div>
                </div>                
                <form method="post" action="" enctype="multipart/form-data">
                      <input type="file" name="file">
                      <input type="submit" value="Submit" class="btn btn-success">
                </form>
                  
                
            </div>
        </div> -->

        <!-- Modal for static data - Benutzer Informationen -->
        <form method="post">
            <div class="modal fade" id="BenutzerModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Neuer Benutzer</h5>
                    </div>
                    <div class="modal-body">
                        <!-- <form method="post"> -->
                            <div class="form-group">
                                <div class="container_card"  style="flex-grow: 1">

                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="vorname-form">Vorname</label>
                                            <input type="vorname-form" class="form-control" id="vorname-form" placeholder="Vorname" name="vorname-form" required>
                                        </div>
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="nachname-form">Nachname</label>
                                            <input type="nachname-form" class="form-control" id="nachname-form" placeholder="Nachname"  name="nachname-form" required>
                                        </div>
                                    </div>

                                </div>



                            </div>
                        <!-- </form> -->

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button>
                        <button type="submit" class="btn btn-primary">Eingaben Speichern</button>
                    </div>
                    </div>
                </div>
            </div>
        </form>

        <!-- Modal for static data - Filament Informationen -->
        <form method="post">
            <div class="modal fade" id="filamentModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Neues Filament</h5>
                    </div>
                    <div class="modal-body">
                        <!-- <form method="post"> -->
                            <div class="form-group">
                                <div class="container_card"  style="flex-grow: 1">

                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="filamenttyp-form">Filamenttyp</label>
                                            <input type="filamenttyp-form" class="form-control" id="filamenttyp-form" placeholder="z.B. PLA, ABS, PVA, ..." name="filamenttyp-form" required>
                                        </div>
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="hersteller-form">Hersteller</label>
                                            <input type="hersteller-form" class="form-control" id="hersteller-form" placeholder="z.B. Ultimaker, Polymaker, Prusa Research, ..."  name="hersteller-form" required>
                                        </div>
                                    </div>
                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="diameter-form">Durchmesser</label>
                                            <input type="diameter-form" class="form-control" id="diameter-form" placeholder="Durchmesser (z.B. 2.1)" name="diameter-form" required>
                                        </div>
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="offnungsdatum-form">Öffnungsdatum</label>
                                            <input type="date" class="form-control" id="offnungsdatum-form" placeholder="(z.B. Tue Jul 26 2022)" name="offnungsdatum-form" required>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        <!-- </form> -->

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button>
                        <button type="submit" class="btn btn-primary">Eingaben Speichern</button>
                    </div>
                    </div>
                </div>
            </div>
        </form>

        <!-- Modal for static data - Drucker Informationen -->
        <form method="post">
            <div class="modal fade" id="printerModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Neuer Drucker</h5>
                    </div>
                    <div class="modal-body">
                        <!-- <form method="post"> -->
                            <div class="form-group">
                                <div class="container_card"  style="flex-grow: 1">

                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="druckername-form">Druckername</label>
                                            <input type="druckername-form" class="form-control" id="druckername-form" placeholder="z.B. Ultimaker 3+, Ender3 ..." name="druckername-form" required>
                                        </div>
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="druckerhersteller-form">Hersteller</label>
                                            <input type="druckerhersteller-form" class="form-control" id="druckerhersteller-form" placeholder="z.B. Ultimaker, Ender, ..."  name="druckerhersteller-form" required>
                                        </div>
                                    </div>
                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="shopfloor-form">Shopfloor</label>
                                            <input type="shopfloor-form" class="form-control" id="shopfloor-form" placeholder="z.B. 1" name="shopfloor-form" required>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        <!-- </form> -->

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button>
                        <button type="submit" class="btn btn-primary">Eingaben Speichern</button>
                    </div>
                    </div>
                </div>
            </div>
        </form>

        <!-- Modal for static data - Drucker Einstellungen -->
        <form method="post">
            <div class="modal fade" id="printerSettingsModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Neue Drucker Einstellungen</h5>
                    </div>
                    <div class="modal-body">
                        <!-- <form method="post"> -->
                            <div class="form-group">
                                <div class="container_card"  style="flex-grow: 1">

                                    <div class="flex-container" style="flex-grow: 1">
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="bauteilname-form"> Bauteilname </label>
                                            <input type="bauteilname-form" class="form-control" id="bauteilname-form" placeholder="z.B. Schraube_2" name="bauteilname-form" required>
                                        </div>
                                        <div class="form-group" style="flex-grow: 1">
                                            <label for="duration-form">Dauer des Drucks</label>
                                            <input type="time" class="form-control" id="duration-form" placeholder="z.B. 40 %"  name="duration-form" required>
                                        </div>
                                    </div>
                                </div>



                            </div>
                        <!-- </form> -->

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button>
                        <button type="submit" class="btn btn-primary">Eingaben Speichern</button>
                    </div>
                    </div>
                </div>
            </div>
        </form>

    </div>
</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

<script>
    var droplist_settings_js = {{ droplist_settings_js | tojson }};
    var droplist_machines_js = {{ droplist_machines_js | tojson }};
    var droplist_filament_js = {{ droplist_filament_js | tojson }};
    var droplist_operator_js = {{ droplist_operator_js | tojson }};

    function select_operator(){
        var selected_value = document.getElementById("select_operator_id").value
        if (selected_value == "undefined"){
            row_values = [["---", "undefined", "undefined", "undefined"]]
        }
        else {
            row_values = droplist_operator_js.filter(function(element){ return element[0] == selected_value; })
        }

        var vorname = document.getElementById("Vorname")
        vorname.value = row_values[0][1]
        var nachname = document.getElementById("Nachname")
        nachname.value = row_values[0][2]
        console.log(nachname.value)
    }

    function select_settings(){
        var selected_value = document.getElementById("select_settings_id").value
        if (selected_value == "undefined"){
            row_values = [["---", "undefined", "undefined", "undefined"]]
        }
        else {
            row_values = droplist_settings_js.filter(function(element){ return element[0] == selected_value; })
        }

        var bauteilname = document.getElementById("Bauteilname")
        bauteilname.value = row_values[0][1]
        var duration = document.getElementById("Duration")
        duration.value = row_values[0][2]
        console.log(duration.value)
    }

    function select_machine(){
        var selected_value = document.getElementById("select_machine_id").value
        if (selected_value == "undefined"){
            row_values = [["---", "undefined", "undefined", "undefined"]]
        }
        else {
            row_values = droplist_machines_js.filter(function(element){ return element[0] == selected_value; })
        }

        var druckername = document.getElementById("Druckername324")
        druckername.value = row_values[0][1]
        var hersteller = document.getElementById("Hersteller324")
        hersteller.value = row_values[0][2]
        var hersteller = document.getElementById("Shopfloor")
        hersteller.value = row_values[0][3]
    }

    function select_filament(){
        var selected_value = document.getElementById("select_filament_id").value
        if (selected_value == "undefined"){
            row_values = [["---", "undefined", "undefined", "undefined", "undefined"]]
        }
        else {
            row_values = droplist_filament_js.filter(function(element){ return element[0] == selected_value; })
        }

        var filamentmaterial = document.getElementById("Filamentmaterial")
        filamentmaterial.value = row_values[0][2]
        var filamenthersteller = document.getElementById("Filamenthersteller")
        filamenthersteller.value = row_values[0][1]
        var diameter = document.getElementById("diameter")
        diameter.value = row_values[0][3]
        var offnungsdatum = document.getElementById("Offnungsdatum")
        var date = new Date(row_values[0][4])
        offnungsdatum.value = date.toDateString()
    }

</script>

{% endblock javascripts %}
